BASE64(1)

NOM
base64 - Encoder ou décoder des données et les afficher sur la sortie standard

SYNOPSIS
base64 [OPTION]... [FICHIER]

DESCRIPTION

Base64 encode ou décode le FICHIER ou l'entrée standard, et les affiche sur la sortie standard.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-d, --decode
    décoder les données

-i, --ignore-garbage
    ignorer les caractères non alphabétiques lors du décodage

-w, --wrap=COLONNES
    ajuster la longueur des lignes encodées à COLONNES caractères (76 par défaut). Utilisez 0 pour désactiver l'ajustement automatique des lignes.

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les données sont encodées selon l'alphabet base64 tel que décrit dans la RFC 3548. Lors du décodage, l'entrée peut contenir des retours à la ligne en plus des octets de l'alphabet base64 strict. Utilisez --ignore-garbage pour essayer de ne pas être gêné par les autres octets non alphabétiques du flux encodé.

AUTEUR
Écrit par Simon Josefsson.

SIGNALER DES BOGUES
Signaler toute anomalie de base64 à bug-coreutils@gnu.org.
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de base64 à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour base64 est disponible dans un manuel Texinfo. Si les programmes info et base64 sont correctement installés sur votre système, la commande

    info coreutils 'base64 invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.